GET api/recalls/search?locationExternalId={locationExternalId}&doctorExternalId={doctorExternalId}&patientExternalId={patientExternalId}&active={active}&dateOperator={dateOperator}&date1={date1}&date2={date2}&page={page}&itemsPerPage={itemsPerPage}

Returns a list of recalls.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
locationExternalId

Filters the list of recalls based on location.

string

Default value is empty string ("")

doctorExternalId

Filters the list of recalls based on doctor.

string

Default value is empty string ("")

patientExternalId

Filters the list of recalls based on patient.

string

Default value is empty string ("")

active

Filters the list of recalls based on active or not active.

boolean

None.

dateOperator

Date operator an recall's comparison operators. Possible values: NotCompare (equals to empty string ""), Equals, GreaterThan, LessThan, GreaterThanOrEqual, LessThanOrEqual, Between, DifferentThan, Contains, StartsWith

string

Default value is empty string ("")

date1

Recall date.

date

None.

date2

Recall date

date

None.

page

Page number requested (search results are paginated).

integer

Default value is 1

itemsPerPage

Items to return on each page. See page parameter above.

integer

Default value is 10

Body Parameters

None.

Response Information

Resource Description

ListModelOfRecallModel
NameDescriptionTypeAdditional information
TotalItems

integer

None.

ItemsPerPage

integer

None.

CurrentPage

integer

None.

TotalPages

integer

None.

FirstRowOnPage

integer

None.

LastRowOnPage

integer

None.

Rows

Collection of RecallModel

None.

Response Formats

application/json, text/json

Sample:
{
  "totalItems": 1,
  "itemsPerPage": 2,
  "currentPage": 3,
  "totalPages": 4,
  "firstRowOnPage": 5,
  "lastRowOnPage": 6,
  "rows": [
    {
      "date": "2026-05-29T16:59:21.6446954+00:00",
      "active": true,
      "locationExternalId": "sample string 3",
      "doctorExternalId": "sample string 4",
      "patientExternalId": "sample string 5",
      "id": "6eaf6242-137a-4af2-a518-01e5748050fd",
      "externalId": "sample string 7"
    },
    {
      "date": "2026-05-29T16:59:21.6446954+00:00",
      "active": true,
      "locationExternalId": "sample string 3",
      "doctorExternalId": "sample string 4",
      "patientExternalId": "sample string 5",
      "id": "6eaf6242-137a-4af2-a518-01e5748050fd",
      "externalId": "sample string 7"
    }
  ]
}

application/xml, text/xml

Sample:
<ListModelOfRecallModelzSNvIeNL xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models">
  <CurrentPage>3</CurrentPage>
  <FirstRowOnPage>5</FirstRowOnPage>
  <ItemsPerPage>2</ItemsPerPage>
  <LastRowOnPage>6</LastRowOnPage>
  <Rows xmlns:d2p1="http://schemas.datacontract.org/2004/07/GlobalPortal.Api.Models.Recalls">
    <d2p1:RecallModel>
      <ExternalId>sample string 7</ExternalId>
      <Id>6eaf6242-137a-4af2-a518-01e5748050fd</Id>
      <d2p1:Active>true</d2p1:Active>
      <d2p1:Date>2026-05-29T16:59:21.6446954+00:00</d2p1:Date>
      <d2p1:DoctorExternalId>sample string 4</d2p1:DoctorExternalId>
      <d2p1:LocationExternalId>sample string 3</d2p1:LocationExternalId>
      <d2p1:PatientExternalId>sample string 5</d2p1:PatientExternalId>
    </d2p1:RecallModel>
    <d2p1:RecallModel>
      <ExternalId>sample string 7</ExternalId>
      <Id>6eaf6242-137a-4af2-a518-01e5748050fd</Id>
      <d2p1:Active>true</d2p1:Active>
      <d2p1:Date>2026-05-29T16:59:21.6446954+00:00</d2p1:Date>
      <d2p1:DoctorExternalId>sample string 4</d2p1:DoctorExternalId>
      <d2p1:LocationExternalId>sample string 3</d2p1:LocationExternalId>
      <d2p1:PatientExternalId>sample string 5</d2p1:PatientExternalId>
    </d2p1:RecallModel>
  </Rows>
  <TotalItems>1</TotalItems>
  <TotalPages>4</TotalPages>
</ListModelOfRecallModelzSNvIeNL>